EDIT - feature request #5683

loading animation for open layers map viewer
04/05/2016 12:43 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 4.0

Severity: normal

Description

A loading animation should be shown as long a not all layers are fully loaded.
It should be possible to hide/close the animation.

see http:/lists.osgeo.org/pipermail/openlayers-users/2012-April/024858.html for an example

There is also a LoadingPanel Control which could be used:

http:/trac.osgeo.org/openlayers/wiki/Addins/LoadingPanel

Associated revisions

Revision 5053f04f - 04/06/2016 11:19 AM - Andreas Kohlbecker

#5683 implemented loading animation for open layers map viewer

Revision 1f696d8b - 04/08/2016 03:32 PM - Andreas Kohlbecker

#5683 layer loading and ui response improved

History

#1 - 04/06/2016 11:20 AM - Andreas Kohlbecker
- Status changed from New to Closed
- Resolution set to fixed

- % Done set to 100

done cdm-dataportal cdm-dataportal|5053f04 svn:r27661

#2 - 04/08/2016 03:33 PM - Andreas Kohlbecker
cdm-dataportal|1f696d8 r27681 layer loading and ui response improved

#3 - 04/29/2020 03:50 PM - Andreas Kohlbecker
- Description updated

- Private changed from Yes to No
